var btn_facebook_left;
var btn_facebook_top;
var btn_twitter_left;
var btn_twitter_top;

// Tracking Stuff
var nVer = navigator.appVersion;
if(/Mobile|mini|Fennec|Android|iP(ad|od|hone)/.test(nVer)) {
	platform = 'mobile';
} else {
	platform = 'desktop';
}
var UA_RULES = [
	['iPhone;', 'phone'],
	['iPod;', 'phone'],
	['iPad;', 'tablet'],
	['Android.*Mobile Safari', 'phone'],  // Chrome/Browser on Android phone
	['Android.*Safari', 'tablet'],        // Chrome/Browser on Android tablet
	['iemobile', 'phone'],  			  // Windows Phone // Try also `Windows Phone`
	['Windows Phone', 'phone'],  		  // Windows Phone 
	['.*', 'desktop'],                    // Fallback to desktop.
]

function detectDevice() {
	var ua = navigator.userAgent;
	for (var i = 0; i < UA_RULES.length; i++) {
		var device = UA_RULES[i][1];
		var re = new RegExp(UA_RULES[i][0]);
		if (ua.match(re)) {
			return device;
		}
	}	
}

var page = {
	platform: detectDevice()
};

var global = {
	track: function(label) {
		// We'll add 'nick_' to label if this is a Nick version
		var platform = (page.platform == "desktop") ? "" : "_" + page.platform;
		label = label+platform;
		if (typeof pageNameAppend == 'function') { 
			pageNameAppend(label);
			//console.log("track: " + label);
		}
	}
};
// End Tracking
$(document).ready(function() {

});

// Tracking called from within the game
function trackFromGame(str)
{
	global.track(str);
}

function isAndroid()
{
	var ua = navigator.userAgent.toLowerCase();
	var isAndroid = ua.indexOf("android") > -1; //&& ua.indexOf("mobile");

	return isAndroid;
}

var scroll = 400;
if(page.platform == "phone")
{
	scroll = 100;
}

// Connected Text Input for within the game
function activateTextField(val)
{
	$("#bonusText").val(val);

	//$(window).css("position", "fixed");
	//$(window).css("bottom", "0px");

	if($("#bonusText").val() == "ENTER HERE" || $("#bonusText").val() == "WRONG CODE")
	{
		$("#bonusText").val("");
	}
	window.flambe_updateText($("#bonusText").val());
	
	setTimeout(function(){
    	$("#bonusText").focus();
    	if(page.platform != "desktop")
    	{
    		$(window).scrollTop(scroll);
    	}
    	
	}, 0);

	if(page.platform != "desktop")
    {
		var keepTop = setInterval(function(){
      	 $(window).scrollTop(scroll);
    	},5);
	}
	
	$("#bonusText").on("keyup", function(e){ 

    	window.flambe_updateText($("#bonusText").val());
    	// Return / Enter Button
    	if (e.keyCode == '13')
    	{
            window.flambe_submitBonusCode();
        }
        if(page.platform != "desktop")
    	{
    		$(window).scrollTop(scroll);
    	}
	});

	$("#bonusText").focusout(function(){ 
		$("#bonusText").off("keyup");
		clearInterval(keepTop);
    	window.flambe_textUnfocus();
    	if(page.platform != "desktop")
    	{
    		//$(window).scrollTop(0);
    	}
	});
}

/*
window.ondevicemotion = function(event)
{
    accX = Math.round(event.accelerationIncludingGravity.x*10) / 10;  
    accY = Math.round(event.accelerationIncludingGravity.y*10) / 10;
    window.flambe_accelerometer(event.accelerationIncludingGravity.y); 
}
*/

